%define disable_rpath \
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool \
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

Name:            zziplib
Version:         0.13.71
Release:         7
Summary:         Lightweight library for zip compression
License:         LGPLv2+ or MPLv1.1
URL:             http://zziplib.sourceforge.net
Source0:         https://github.com/gdraheim/zziplib/archive/v%{version}.tar.gz

Patch6000:       backport-0001-CVE-2020-18442.patch
Patch6001:       backport-0002-CVE-2020-18442.patch
Patch6002:       backport-0003-CVE-2020-18442.patch
Patch6003:       backport-0004-CVE-2020-18442.patch
Patch6004:       backport-0005-CVE-2020-18442.patch
Patch6005:       backport-0006-CVE-2020-18442.patch
Patch6006:       backport-0007-CVE-2020-18442.patch
Patch6007:       zziplib-0.13.71-sw.patch
Patch6008:	 backport-CVE-2020-18770.patch
Patch6009:       backport-0008-fix-CVE-2024-39134.patch

BuildRequires:   perl-interpreter  zip xmlto
BuildRequires:   zlib-devel SDL-devel pkgconfig autoconf automake gcc make

Provides:        zziplib-utils
Obsoletes:       zziplib-utils

%description
The zziplib is a lightweight library to easily extract data from zip files. Applications
can bundle files into a single zip archive and access them. The implementation is based
only on the (free) subset of compression with the zlib algorithm which is actually used
by the zip/unzip tools.

%package         devel
Summary:         Header files and libraries for zziplib development
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig zlib-devel SDL-devel

%description     devel
This package contains the header files and libraries needed to
develop programs that use the zziplib compression and decompression
library.

%package         help
Summary:         Help documentation for the zziplib library
Requires:        %{name} = %{version}-%{release}
BuildArch:       noarch

%description     help
This package includes help documentation and manuals related to zziplib.

%prep
%setup -q
sed -i -e 's:docs ::g' Makefile.am
%patch6000 -p1
%patch6001 -p1
%patch6002 -p1
%patch6003 -p1
%patch6004 -p1
%patch6005 -p1
%patch6006 -p1
%patch6007 -p1
%patch6008 -p1
%patch6009 -p1

%build
%configure --disable-static --enable-sdl --enable-frame-pointer --enable-builddir=_builddir
# remove rpath
%disable_rpath
%make_build

%install
%make_install
rm -rf docs/Make* docs/zziplib-manpages.ar
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc docs/COPYING* ChangeLog README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%doc docs/README.SDL docs/*.htm
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%exclude %{_libdir}/*.la

%files help
%{_mandir}/man3/*

%changelog
* Fri Aug 09 2024 baiguo <baiguo@kylinos.cn> - 0.13.71-7
- fix CVE-2024-39134

* Wed May 08 2024 liweigang <liweiganga@uniontech.com> - 0.13.71-6
- sync upstream patch for modify patch6008

* Wed Sep 27 2023 licihua <licihua@huawei.com> - 0.13.71-5
- fix CVE-2020-18770

* Wed Oct 26 2022 wuzx<wuzx1226@qq.com> - 0.13.71-4
- Add sw64 architecture

* Sat Sep 04 2021 shixuantong <shixuantong@huawei.com> - 0.13.71-3
- remove rpath

* Fri Jun 25 2021 shixuantong <shixuantong@huawei.com> - 0.13.71-2
- fix CVE-2020-18442

* Tue Nov 3 2020 tianwei <tianwei12@huawei.com> - 0.13.71-1
- update to 0.13.71 and remove python2

* Fri Feb 14 2020 chengquan <chengquan3@huawei.com> - 0.13.36-5
- Add necessary BuildRequires

* Thu Jan 9 2020 BruceGW <gyl93216@163.com> - 0.13.36-4
- Delete useless patch

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.13.36-3
- Fix CVE-2018-16548 and CVE-2018-17828

* Thu Sep 12 2019 dongjian <dongjian13@huawei.com> 0.13.36-2
- Modification summary
